<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="description" content="">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    {% block stylesheets %}
        <!-- Latest compiled and minified CSS -->
        <link rel="icon" href="{{ asset('/assets/img/logo.ico') }}">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">

        <!-- Core Style CSS -->
        <link rel="stylesheet" href="{{ asset('/assets/css/core-style.css') }}">
        <link rel="stylesheet" href="{{ asset('/assets/style.css') }}">
        <link rel="stylesheet" href="{{ asset('/assets/sweetAlert/sweetalert.css') }}">
    {% endblock %}
</head>
<body>
{% block header %}
    <header class="header_area">
        <div class="classy-nav-container breakpoint-off d-flex align-items-center justify-content-between">
            <!-- Classy Menu -->
            <nav class="classy-navbar" id="essenceNav">
                <!-- Logo -->
                <a class="nav-brand" href="{{path('index')}}"><img style="width: 54px;" src="{{ asset('assets/img/logo.png') }}" alt=""></a>
                <!-- Navbar Toggler -->
                <div class="classy-navbar-toggler">
                    <span class="navbarToggler"><span></span><span></span><span></span></span>
                </div>
                <!-- Menu -->
                <div class="classy-menu">
                    <!-- close btn -->
                    <div class="classycloseIcon">
                        <div class="cross-wrap"><span class="top"></span><span class="bottom"></span></div>
                    </div>
                    <!-- Nav Start -->
                    <div class="classynav">
                        <ul>
                            <li><a href="{{ path('index') }}">Accueil</a></li>
                            <li><a href="{{ path('recherche') }}">Nos catégories</a></li>
                            <li><a href="{{ path('contact') }}">Contactez-nous</a></li>
                        </ul>
                    </div>
                    <!-- Nav End -->
                </div>
            </nav>

            <!-- Header Meta Data -->
            <div class="header-meta d-flex clearfix justify-content-end">
                <!-- Search Area -->
                <div class="search-area">

                    <div ng-show="_isNotMobile" class="search-area" style="min-width: 240px; margin-top: 10px">
                        <span class="glyphicon glyphicon-user"><b> Service client:</b> 54151565-54151564</span><br>
                        <span class=" glyphicon glyphicon-time"><b> Horaire:</b> 09:00 à 17:00</span> </div>
                </div>
                <div class="search-area">
                    <form action="recherche" method="post">
                        <input type="search" name="search" id="headerSearch" placeholder="Recherche">
                        <button type="submit"><i class="fa fa-search" aria-hidden="true"></i></button>
                    </form>
                </div>
                <!-- Favourite Area -->

                <!-- User Login Info -->
                <div class="user-login-info">

                    <div class="classynav">
                        <ul>
                            <li><a href="#"><img src="{{ asset('assets/img/core-img/user.svg') }}" alt=""></a>
                                <div class="megamenu">
                                    <ul class="single-mega cn-col-12">

                                        <div class="col col-12" *ngIf="!connecter">

                                            {% block login %}

                                                {% include 'bundles/FOSUserBundle/Security/login_content.html.twig' %}

                                            {% endblock login %}

                                            {#<div class="form-group">
                                                <div class="col row">
                                                    <button class="btn btn-primary">Connexion</button>
                                                    &nbsp;
                                                    <button class="btn btn-primary">CRÉEZ COMPTE</button>
                                                    &nbsp; <br>
                                                    <button type="button" class="btn btn-danger btn-sm"><span
                                                                class="fa fa-google"></span> <span
                                                                class="btn-title-connect">oogle</span></button>
                                                    &nbsp;
                                                    <button type="button" class="fb-login-button btn-sm"><span
                                                                class="fa fa-facebook"></span> acebook
                                                    </button>
                                                    <br>
                                                    &nbsp;
                                                </div>

                                            </div>#}


                                        </div>


                                    </ul>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <!-- Cart Area -->
                <div class="cart-area">
                    <a href="#" id="essenceCartBtn"><img src="{{ asset('assets/img/core-img/bag.svg') }}" alt=""> <span>{[{panniers.length}]}</span></a>
                </div>
            </div>

        </div>
    </header>
{% endblock %}

{% block slider %}

    <!-- ##### Right Side Cart Area ##### -->
    <div class="cart-bg-overlay"></div>

    <div class="right-side-cart-area">

        <!-- Cart Button -->
        <div class="cart-button">
            <a href="#" id="rightSideCart"><img src="{{ asset('assets/img/core-img/bag.svg') }}" alt=""> <span>{[{panniers.length}]}</span></a>
        </div>

        <div class="cart-content d-flex">

            <!-- Cart List Area -->
            <div class="cart-list">
                <!-- Single Cart Item -->
                <div ng-repeat="p in panniers" class="single-cart-item">
                    <a href="#" class="product-image">
                        <img src="/uploads/images/products/{[{p.produit.img }]} " class="cart-thumb" alt="">
                        <!-- Cart Item Desc -->
                        <div class="cart-item-desc">

                            <span ng-click="remove($index)" class="product-remove"><i class="fa fa-close"
                                                                                      aria-hidden="true"></i></span>

                            <span class="badge">{[{ p.produit.libelle }]}</span>
                            <span class="badge">Taille: {[{ p.stock.mesure }]}</span>
                            <span class="badge">Prix: {[{ p.produit.prixHT }]}</span>
                            {#                            <h6>{[{ p.produit.description }]}</h6>#}

                        </div>
                    </a>
                </div>

            </div>

            <!-- Cart Summary -->
            <div class="cart-amount-summary">

                <h2>RÉCAPITULATIF DE LA COMMANDE</h2>
                <ul class="summary-table">
                    <li><span>total:</span> <span>{[{totalPrix}]} DTN</span></li>
                    <li><span>Livraison:</span> <span>{[{livraison}]} DTN</span></li>
                    <li><span>remise:</span> <span>-{[{totalPrixWithSolde}]} DTN</span></li>
                    <li><span>total ttc à payer:</span> <span>{[{totalPrix - totalPrixWithSolde  + livraison}]} DTN</span>
                    </li>
                </ul>
                <div class="checkout-btn mt-100">
                    <a href="{{ path('checkout') }}" class="btn essence-btn">passer ma commande </a>

                    <a href="#" id="rightSideCart2" class="btn essence-btn">CONTINUER MES ACHATS</a>

                </div>
            </div>
        </div>
    </div>
    <!-- ##### Right Side Cart End ##### -->

{% endblock %}
{% for message in app.flashes('success') %}
    <div class="alert alert-success">
        {{ message }}
    </div>
{% endfor %}

<body ng-app="sampleApp" ng-controller="AngularController">
{% block body %}{% endblock %}
<!-- Load Facebook SDK for JavaScript -->
<div id="fb-root"></div>
<script>
    window.fbAsyncInit = function() {
        FB.init({
            xfbml            : true,
            version          : 'v5.0'
        });
    };

    (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = 'https://connect.facebook.net/fr_FR/sdk/xfbml.customerchat.js';
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script>

<!-- Your customer chat code -->
<div class="fb-customerchat"
     attribution=setup_tool
     page_id="1548296485425258"
     logged_in_corgreeting="Bienvenue"
     logged_out_greeting="Bienvenue">
</div>
</body>
{% block footer %}

    <!-- ##### Footer Area Start ##### -->
    <footer class="footer_area clearfix">
        <div class="container">
            <div class="row">
                <!-- Single Widget Area -->
                <div class="col-12 col-md-6">
                    <div class="single_widget_area d-flex mb-30">
                        <!-- Logo -->
                        <div class="footer-logo mr-50">
                            <a href="#"><img style="width: 50px;" src="{{ asset('assets/img/logo.png') }}" alt=""></a>
                        </div>
                        <!-- Footer Menu -->
                        <div class="footer_menu">
                            <ul>
                                <li><a href="{{ path('index') }}">Accueil</a></li>
                                <li><a href="{{ path('recherche') }}">Nos catégories</a></li>
                                <li><a href="{{ path('contact') }}">Contactez-nous</a></li>
                            </ul>
                        </div>
                    </div>
                    <!--<div class="single_widget_area">
                      <div class="footer_heading mb-30">
                        <h6>Subscribe</h6>
                      </div>
                      <div class="subscribtion_form">
                        <form >
                          <input type="email" name="mail" class="mail" placeholder="Your email here">
                          <button type="submit" class="submit"><i class="fa fa-long-arrow-right" aria-hidden="true"></i></button>
                        </form>


                        &lt;!&ndash;<div class="fb-like" data-href="https://www.facebook.com/Mg.Shop.Tn/" data-layout="button_count" data-action="like" data-size="small" data-show-faces="true" data-share="true"></div>&ndash;&gt;

                      </div>

                    </div>-->
                </div>
                <!-- Single Widget Area -->
                <div class="col-12 col-md-6">
                    <div class="single_widget_area mb-30">
                        <div class="fb-page" data-href="https://www.facebook.com/Mg.Shop.Tn/" data-tabs="timeline"
                             data-height="10" data-small-header="false" data-adapt-container-width="false"
                             data-hide-cover="false" data-show-facepile="true">
                            <blockquote cite="https://www.facebook.com/Mg.Shop.Tn/" class="fb-xfbml-parse-ignore"><a
                                        href="https://www.facebook.com/Mg.Shop.Tn/">Mg Shop.Net</a></blockquote>
                        </div>

                    </div>
                </div>
            </div>

            <div class="row align-items-end">
                <!-- Single Widget Area -->
                <div class="col-12 col-md-6">

                </div>
                <!-- Single Widget Area -->
                <div class="col-12 col-md-6">
                    <div class="single_widget_area">
                        <div class="footer_social_area">
                            <a href="https://www.facebook.com/Mg.Shop.Tn/" data-toggle="tooltip" data-placement="top"
                               title="Facebook"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                            <a href="https://instagram.com/mgshoptn/" data-toggle="tooltip" data-placement="top"
                               title="Instagram"><i class="fa fa-instagram" aria-hidden="true"></i></a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row mt-5">
                <div class="col-md-12 text-center">
                    <p>
                        <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                        Copyright &copy;<script>document.write(new Date().getFullYear());</script>
                        All rights reserved | This site is made <i class="fa fa-heart-o" aria-hidden="true"></i> by <a
                                href="https://www.linkedin.com/in/helmi-bouhlel/" target="_blank">Helmi</a>
                        <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                    </p>
                </div>
            </div>

        </div>
    </footer>
    <!-- ##### Footer Area End ##### -->

{% endblock %}

{% block javascripts %}


    <!-- jQuery (Necessary for All JavaScript Plugins) -->
    <script src="{{ asset('assets/js/jquery/jquery-2.2.4.min.js') }}"></script>
    <!-- Popper js -->
    <script src="{{ asset('assets/js/popper.min.js') }}"></script>
    <!-- Bootstrap js -->
    <script src="{{ asset('assets/js/bootstrap.min.js') }}"></script>
    <!-- Plugins js -->
    <script src="{{ asset('assets/js/plugins.js') }}"></script>
    <!-- Classy Nav js -->
    <script src="{{ asset('assets/js/classy-nav.min.js') }}"></script>
    <!-- Active js -->
    <script src="{{ asset('assets/js/active.js') }}"></script>
    <script src="{{asset('assets/js/angular.min.js')}}"></script>
    <script src="{{asset('assets/sweetAlert/sweetalert.js	')}}"></script>

    <script src="{{asset('assets/sweetAlert/sweetalert.min.js')}}"></script>

    <script>

        var sampleApp = angular.module('sampleApp', []);
        sampleApp.controller('AngularController', function ($scope, $window) {
            $scope.livraison = 7;
            var object = angular.fromJson($window.sessionStorage.getItem("pannier"));
            if (object != undefined && object != null) {
                $scope.panniers = object;
            } else {
                $scope.panniers = [];
            }
            $scope.calculer = function () {
                $scope.totalPrix = $scope.panniers.reduce((a, b) => a + b.produit.prixHT * b.stock.qteLivrer, 0);
                $scope.totalPrixWithSolde = $scope.panniers.reduce((a, b) => a + ((b.produit.prixHT * b.produit.solde) / 100) * b.stock.qteLivrer, 0);
            }
            $scope.calculer();

            $scope.changStock = function (idStock,mesure) {
                console.log(idStock, "idStock");
                $scope.idStock = idStock;
                $scope.mesure = mesure;
                console.log(mesure);
            };

            $scope.remove = function (index) {
                $scope.panniers.splice(index, 1);
                $window.sessionStorage.setItem("pannier", JSON.stringify($scope.panniers));
                $scope.calculer();
            };

            $scope.addPannierAction = function (id, libelle, description, img, prixHT, solde) {

                if ($scope.idStock == null) {
                    swal("Opération interrompue", "Veuillez sélectionner une option","error");
                    return;
                }

                if ($scope.qteProduit == null) {
                    $scope.qteProduit = 1;
                }


                if (solde == undefined || solde == null || solde == "") {
                    solde = 0;
                }
                if ($scope.qteProduit == undefined || $scope.qteProduit == null || $scope.qteProduit == "") {
                    $scope.qteProduit = 1;
                }
                var object = angular.fromJson($window.sessionStorage.getItem("pannier"));
                if (object != undefined && object != null) {
                    $scope.panniers = object;
                }

                $scope.pannier = {
                    prixHT: 0,

                    produit: {
                        id: id,
                        libelle: libelle,
                        description: description,
                        img: img,
                        prixHT: prixHT,
                        solde: solde,
                    },
                    stock: {
                        id: $scope.idStock,
                        qteLivrer: $scope.qteProduit,
                        mesure: $scope.mesure
                    }

                };
                $scope.panniers.push($scope.pannier);
                $scope.calculer();
                $window.sessionStorage.setItem("pannier", JSON.stringify($scope.panniers));

                var cartOverlay = $(".cart-bg-overlay");
                var cartWrapper = $(".right-side-cart-area");
                var cartOverlayOn = "cart-bg-overlay-on";
                var cartOn = "cart-on";
                cartOverlay.toggleClass(cartOverlayOn);
                cartWrapper.toggleClass(cartOn);

            };

             $('#client_livraison_form_Commander').on('click', function() {
                 $window.sessionStorage.setItem("pannier", JSON.stringify([]));
             });
             $('#client_livraison_form_Commander').trigger('click');
            function setInputFilter(textbox, inputFilter) {
                ["input", "keydown", "keyup", "mousedown", "mouseup", "select", "contextmenu", "drop"].forEach(function(event) {
                    if (textbox != null ) {
                        textbox.addEventListener(event, function() {
                            if (inputFilter(this.value)) {
                                this.oldValue = this.value;
                                this.oldSelectionStart = this.selectionStart;
                                this.oldSelectionEnd = this.selectionEnd;
                            } else if (this.hasOwnProperty("oldValue")) {
                                this.value = this.oldValue;
                                this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);
                            } else {
                                this.value = "";
                            }
                        });
                    }


                });
            }

            setInputFilter(document.getElementById("client_livraison_form_tel1"), function(value) {
                return /^\d*\.?\d*$/.test(value); // Allow digits and '.' only, using a RegExp
            });

            setInputFilter(document.getElementById("client_livraison_form_tel2"), function(value) {
                return /^\d*\.?\d*$/.test(value); // Allow digits and '.' only, using a RegExp
            });


            $scope._isNotMobile = (function() {
                var check = false;
                (function(a){if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(a)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(a.substr(0,4)))check = true})(navigator.userAgent||navigator.vendor||window.opera);
                return !check;
            })();

        }).config(function ($interpolateProvider) {
            $interpolateProvider.startSymbol('{[{').endSymbol('}]}');
        });

    </script>


{% endblock %}
</body>
</html>
